/*
 * ImagePanel - a place to display an image
 */


import java.awt.Panel;
import java.awt.Image;
import java.awt.Graphics;

/**
 * An image panel, for generic display of images
 */
public class ImagePanel extends Panel
{
    protected Image image;

    public void setImage(Image i)
    {
	image = i;
    }

    public void paint(Graphics g)
    {
	if (image != null)
	    g.drawImage(image, 0, 0, this);
    }
}


