/*
 * Canvas subclass for drawing polygons.
 *
 * Copyright 1997, Steve Robbins
 */

/**
 * As above, except that when the final point is inserted, the polygon
 * is closed, by duplicating the initial point as the final point.
 */
public class PolygonCanvas extends PolylineCanvas
{
    protected void finish()
    {
	inputPolygon.addPoint(inputPolygon.xpoints[0],
			      inputPolygon.ypoints[0]);
	super.finish();
    }
}
